<?php

class views_plugin_display_homebox extends views_plugin_display_block {

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $options = array();

    $filters = $this->get_handlers('filter');
    foreach ($filters as $key => $filter) {
      $options[$key] = $filter->definition['title'];
    }

    $default = $this->get_option('exposed_form');
    if ($options && $form_state['section'] == 'exposed_form_options') {
      $form['exposed_form_options']['homebox_filters'] = array(
        '#title' => 'Homebox-enabled filters',
        '#type' => 'checkboxes',
        '#options' => $options,
        '#description' => "These filters will show up in a homebox block configuration, and be saved to the user's homebox settings. They will not show up as normal view filters.",
        '#default_value' => $default['options']['homebox_filters'] ? $default['options']['homebox_filters'] : array(),
      );
    }
  }

  public function option_definition() {
    $options = parent::option_definition();

    $options['exposed_form_options']['homebox_filters']['default'] = array();

    return $options;
  }

}
